2 Replies Latest reply: Jan 12, 2013 3:48 PM by vea1083
kjo04 Level 1 Level 1 (0 points)

After installing snow leopard 10.6.8 my mail application will not open. It says you can not use this version of the application Mail with this OS X. You have Mail 3.6. What do I do? I thought everything would just automatically update... am I doing something wrong?


MacBook, Mac OS X (10.6.8)